messages.getSearchResultsCalendar
Returns information about the next messages of the specified type in the chat split by days. Returns the results in reverse chronological order. Can return partial results for the last returned day.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Returns information about the next messages of the specified type in the chat split by days. Returns the results in reverse chronological order. Can return partial results for the last returned day.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getSearchResultsCalendar" \ -H "Content-Type: application/json" \ -d '{ "params": { "peer": { "_": "inputPeerEmpty" }, "filter": { "_": "inputMessagesFilterEmpty" }, "offsetId": 0, "offsetDate": 0 } }'{ "result": { "_": "messages.searchResultsCalendar", "inexact": true, "count": 0, "minDate": 0, "minMsgId": 0, "offsetIdOffset": 0, "periods": [ { "_": "searchResultsCalendarPeriod", "date": 0, "minMsgId": 0, "maxMsgId": 0, "count": 0 } ], "messages": [ { "_": "messageEmpty", "id": 0, "peerId": { "_": "peerUser", "userId": 0 } } ], "chats": [ { "_": "chatEmpty", "id": 0 } ], "users": [ { "_": "userEmpty", "id": 0 } ] }}getSearchCounters
Get the number of results that would be found by a `messages.RawSearchRequest` call with the same parameters
getSearchResultsPositions
Returns sparse positions of messages of the specified type in the chat to be used for shared media scroll implementation. Returns the results in reverse chronological order (i.e., in order of decreasing message_id).